<template>
	<ProviderProductsNormalized v-slot="{ productsNormalized }" :items="items">
		<BlockProductsSpecialView v-bind="{ ...$props, productsNormalized }" />
	</ProviderProductsNormalized>
</template>

<script>
import ProviderProductsNormalized from '@components/provider-products-normalized';
import BlockProductsSpecialView from '@components/block-products-special-view';

export default {
	components: {
		ProviderProductsNormalized,
		BlockProductsSpecialView,
	},

	inheritAttrs: false,

	props: {
		id: {
			type: String,
			default: null,
		},

		heading: {
			type: String,
			default: '',
		},

		subheading: {
			type: String,
			default: '',
		},

		description: {
			type: String,
			default: '',
		},

		items: {
			type: Array,
			default: () => [],
		},

		critical: {
			type: Boolean,
			default: false,
		},
	},
};
</script>
